org.restlet.service

## Class RangeService

- java.lang.Object
- - org.restlet.service.Service
  - - org.restlet.service.RangeService

    public class RangeService
    extends Service

Application service automatically exposes ranges of response entities. This allows resources to not care of requested ranges and return full representations that will then be transparently wrapped in partial representations by this service, allowing the client to benefit from partial downloads.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`RangeService()` Constructor.
`RangeService(boolean enabled)` Constructor.

### Method Summary

Methods
`Filter` `createInboundFilter(Context context)` Create the filter that should be invoked for incoming calls.

### Methods inherited from class org.restlet.service.Service

`createOutboundFilter, getContext, isEnabled, isStarted, isStopped, setContext, setEnabled, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeService

    public RangeService()

Constructor.

#### RangeService

    public RangeService(boolean enabled)

Constructor.

Parameters:
  `enabled` - True if the service has been enabled.

### Method Detail

#### createInboundFilter

    public Filter createInboundFilter(Context context)

Description copied from class: `Service`
Create the filter that should be invoked for incoming calls.

Overrides:
  `createInboundFilter` in class `Service`
Parameters:
  `context` - The current context.
Returns:
  The new filter or null.